tt_message_bcontext_set(library call)

NAME
tt_message_bcontext_set — set the byte-array value of a message's context

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_bcontext_set(
Tt_message m,
const char *slotname,
const unsigned char *value,
int length);

DESCRIPTION

The tt_message_bcontext_set function sets the byte-array value of a message's context.

This function overwrites any previous value associated with slotname.

The m argument is the opaque handle for the message involved in this operation. The slotname argument describes the slotname in this message. The value argument is the byte string with the contents for the message argument. The length argument is the length of the value in bytes.

RETURN VALUE

Upon successful completion, the tt_message_bcontext_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).